const queryStore = defineStore('query', {
  state: () => ({
    searchInterReturnReceipt: null
  }),
  actions: {
    setSearchInterReturnReceipt(value) {
      this.searchInterReturnReceipt = value
    },
    checkClean(obj) {
      console.log(obj)
      if (obj.name == 'InterReturnReceipt') {
        this.searchInterReturnReceipt = null
      }
    },
    allClean(obj) {
      this.searchInterReturnReceipt = null
    },
    otherClean(obj) {
      if (obj.name != 'InterReturnReceipt') {
        this.searchInterReturnReceipt = null
      }
    }
  }
});
export default queryStore;